
@keyframes soulrareanimationblink {
    0% {
        -webkit-filter: drop-shadow(0px 0px 7px #ffe45b);
        filter: drop-shadow(0px 0px 7px #ffe45b);
    }
    50% {
        -webkit-filter: drop-shadow(0px 0px 3px #ffe45b);
        filter: drop-shadow(0px 0px 3px #ffe45b);
    }
    100% {
        -webkit-filter: drop-shadow(0px 0px 7px #ffe45b);
        filter: drop-shadow(0px 0px 7px #ffe45b);
    }
}
@keyframes soulrareanimationshow {
    0% {
        opacity: 0;
        transform: translate(-50%, -50%) scale(0.1);
    }
    100% {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }
}

@keyframes animation_soulrare_break {
    100% {
        background-position: 0 -800px;
    }
}
@keyframes animation_soulrare_loop {
    100% {
        background-position: 0 -1920px;
    }
}


.soulrareanimation {
    position: relative;
    display: inline-block;
    width: 80px;
    height: 80px;
    overflow: hidden;
}
.soulrareanimation.blink {
    animation: soulrareanimationblink 0.7s linear infinite;
}
.soulrareanimation__soul {
    position: absolute;
    left: 0px;
}
.soulrareanimation__soul--loop {
    width: 100%;
    height: 100%;
    background: no-repeat url("./soul_loop.png");
    background-size: 100% auto;
    animation: animation_soulrare_loop 0.8s steps(24) infinite;
}
.soulrareanimation__soul--break {
    width: 100%;
    height: 100%;
    background: no-repeat url("./soul_break.png");
    background-size: 100% auto;
    animation: animation_soulrare_break 0.8s steps(10) alternate forwards;
}
.soulrareanimation__item {
    position: absolute;
    top: 50%;
    left: 50%;
    opacity: 0;
    display: none;
}
.soulrareanimation__item.show {
    max-width: 60px;
    display: block;
    animation: soulrareanimationshow 0.3s 0.7s linear forwards ;
}
